package com.yanzhu.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 分包单位工人对象 pro_project_info_subdepts_users
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class ProProjectInfoSubdeptsUsers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 公司主键 */
    @Excel(name = "公司主键")
    private Long comId;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 分包单位 */
    @Excel(name = "分包单位")
    private Long subDeptId;

    /** 单位类型 */
    @Excel(name = "单位类型")
    private String subDeptType;

    /** 分包单位名称 */
    @Excel(name = "分包单位名称")
    private String subDeptName;

    /** 用户主键 */
    @Excel(name = "用户主键")
    private Long userId;

    /** 工人类型 */
    @Excel(name = "工人类型")
    private String userType;

    /** 工人姓名 */
    @Excel(name = "工人姓名")
    private String userName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String userPhone;

    /** 证件类型(字典) */
    @Excel(name = "证件类型(字典)")
    private String certificateType;

    /** 证件号码 */
    @Excel(name = "证件号码")
    private String certificateCode;

    /** 班组编号(外键） */
    @Excel(name = "班组编号")
    private Long subDeptGroup;

    @Excel(name = "班组")
    private String subDeptGroupName;

    public int getHasRegister() {
        return hasRegister;
    }

    public void setHasRegister(int hasRegister) {
        this.hasRegister = hasRegister;
    }

    private int hasRegister;

    public String getAdmitGuid() {
        return admitGuid;
    }

    public void setAdmitGuid(String admitGuid) {
        this.admitGuid = admitGuid;
    }

    private String admitGuid;
    public String getSubDeptGroupName() {
        return subDeptGroupName;
    }

    public void setSubDeptGroupName(String subDeptGroupName) {
        this.subDeptGroupName = subDeptGroupName;
    }

    /** 工种类型 */
    @Excel(name = "工种类型")
    private String craftType;

    /** 工种岗位 */
    @Excel(name = "工种岗位")
    private String craftPost;

    /** 民族 */
    @Excel(name = "民族")
    private String nation;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 文化程度(字典) */
    @Excel(name = "文化程度(字典)")
    private String educationalType;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthDay;

    /** 籍贯 */
    @Excel(name = "籍贯")
    private String nativePlace;

    /** 家庭地址 */
    @Excel(name = "家庭地址")
    private String address;

    /** 紧急联系人 */
    @Excel(name = "紧急联系人")
    private String emergencyContact;

    /** 紧急联系人电话 */
    @Excel(name = "紧急联系人电话")
    private String contactPhone;

    /** 工资卡银行 */
    @Excel(name = "工资卡银行")
    private String bankName;

    /** 工资卡号 */
    @Excel(name = "工资卡号")
    private String bankCardNo;

    /** 开户网点 */
    @Excel(name = "开户网点")
    private String bankOffice;

    /** 身份证头像面 */
    @Excel(name = "身份证头像面")
    private String certificatePhoto1;

    /** 身份证国徽面 */
    @Excel(name = "身份证国徽面")
    private String certificatePhoto2;

    /** 人脸识别头像 */
    @Excel(name = "人脸识别头像")
    private String faceImage;

    /** 学习状态 */
    @Excel(name = "学习状态")
    private String eduStatus;

    /** 学习文件地址 */
    @Excel(name = "学习文件地址")
    private String eduFilePath;

    /** 学习签名地址 */
    @Excel(name = "学习签名地址")
    private String eduSignPath;

    /** 学习时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "学习时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date eduDate;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;

    /** 进场状态 */
    @Excel(name = "进场状态")
    private String useStatus;

    /** 进行步骤 */
    @Excel(name = "进行步骤")
    private Long subStep;

    /** 疾病状态 */
    @Excel(name = "疾病状态")
    private Long illnessStatus;

    /** 严重疾病状态 */
    @Excel(name = "严重疾病状态")
    private Long supIllnessStatus;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setComId(Long comId) 
    {
        this.comId = comId;
    }

    public Long getComId() 
    {
        return comId;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setSubDeptId(Long subDeptId) 
    {
        this.subDeptId = subDeptId;
    }

    public Long getSubDeptId() 
    {
        return subDeptId;
    }
    public void setSubDeptType(String subDeptType) 
    {
        this.subDeptType = subDeptType;
    }

    public String getSubDeptType() 
    {
        return subDeptType;
    }
    public void setSubDeptName(String subDeptName) 
    {
        this.subDeptName = subDeptName;
    }

    public String getSubDeptName() 
    {
        return subDeptName;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserType(String userType) 
    {
        this.userType = userType;
    }

    public String getUserType() 
    {
        return userType;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setUserPhone(String userPhone) 
    {
        this.userPhone = userPhone;
    }

    public String getUserPhone() 
    {
        return userPhone;
    }
    public void setCertificateType(String certificateType) 
    {
        this.certificateType = certificateType;
    }

    public String getCertificateType() 
    {
        return certificateType;
    }
    public void setCertificateCode(String certificateCode) 
    {
        this.certificateCode = certificateCode;
    }

    public String getCertificateCode() 
    {
        return certificateCode;
    }
    public void setSubDeptGroup(Long subDeptGroup) 
    {
        this.subDeptGroup = subDeptGroup;
    }

    public Long getSubDeptGroup() 
    {
        return subDeptGroup;
    }
    public void setCraftType(String craftType) 
    {
        this.craftType = craftType;
    }

    public String getCraftType() 
    {
        return craftType;
    }
    public void setCraftPost(String craftPost) 
    {
        this.craftPost = craftPost;
    }

    public String getCraftPost() 
    {
        return craftPost;
    }
    public void setNation(String nation) 
    {
        this.nation = nation;
    }

    public String getNation() 
    {
        return nation;
    }
    public void setAge(Long age) 
    {
        this.age = age;
    }

    public Long getAge() 
    {
        return age;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setEducationalType(String educationalType) 
    {
        this.educationalType = educationalType;
    }

    public String getEducationalType() 
    {
        return educationalType;
    }
    public void setBirthDay(Date birthDay) 
    {
        this.birthDay = birthDay;
    }

    public Date getBirthDay() 
    {
        return birthDay;
    }
    public void setNativePlace(String nativePlace) 
    {
        this.nativePlace = nativePlace;
    }

    public String getNativePlace() 
    {
        return nativePlace;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setEmergencyContact(String emergencyContact) 
    {
        this.emergencyContact = emergencyContact;
    }

    public String getEmergencyContact() 
    {
        return emergencyContact;
    }
    public void setContactPhone(String contactPhone) 
    {
        this.contactPhone = contactPhone;
    }

    public String getContactPhone() 
    {
        return contactPhone;
    }
    public void setBankName(String bankName) 
    {
        this.bankName = bankName;
    }

    public String getBankName() 
    {
        return bankName;
    }
    public void setBankCardNo(String bankCardNo) 
    {
        this.bankCardNo = bankCardNo;
    }

    public String getBankCardNo() 
    {
        return bankCardNo;
    }
    public void setBankOffice(String bankOffice) 
    {
        this.bankOffice = bankOffice;
    }

    public String getBankOffice() 
    {
        return bankOffice;
    }
    public void setCertificatePhoto1(String certificatePhoto1) 
    {
        this.certificatePhoto1 = certificatePhoto1;
    }

    public String getCertificatePhoto1() 
    {
        return certificatePhoto1;
    }
    public void setCertificatePhoto2(String certificatePhoto2) 
    {
        this.certificatePhoto2 = certificatePhoto2;
    }

    public String getCertificatePhoto2() 
    {
        return certificatePhoto2;
    }
    public void setFaceImage(String faceImage) 
    {
        this.faceImage = faceImage;
    }

    public String getFaceImage() 
    {
        return faceImage;
    }
    public void setEduStatus(String eduStatus) 
    {
        this.eduStatus = eduStatus;
    }

    public String getEduStatus() 
    {
        return eduStatus;
    }
    public void setEduFilePath(String eduFilePath) 
    {
        this.eduFilePath = eduFilePath;
    }

    public String getEduFilePath() 
    {
        return eduFilePath;
    }
    public void setEduSignPath(String eduSignPath) 
    {
        this.eduSignPath = eduSignPath;
    }

    public String getEduSignPath() 
    {
        return eduSignPath;
    }
    public void setEduDate(Date eduDate) 
    {
        this.eduDate = eduDate;
    }

    public Date getEduDate() 
    {
        return eduDate;
    }
    public void setApproveStatus(Long approveStatus) 
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus() 
    {
        return approveStatus;
    }
    public void setUseStatus(String useStatus) 
    {
        this.useStatus = useStatus;
    }

    public String getUseStatus() 
    {
        return useStatus;
    }
    public void setSubStep(Long subStep) 
    {
        this.subStep = subStep;
    }

    public Long getSubStep() 
    {
        return subStep;
    }
    public void setIllnessStatus(Long illnessStatus) 
    {
        this.illnessStatus = illnessStatus;
    }

    public Long getIllnessStatus() 
    {
        return illnessStatus;
    }
    public void setSupIllnessStatus(Long supIllnessStatus) 
    {
        this.supIllnessStatus = supIllnessStatus;
    }

    public Long getSupIllnessStatus() 
    {
        return supIllnessStatus;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("subDeptId", getSubDeptId())
            .append("subDeptType", getSubDeptType())
            .append("subDeptName", getSubDeptName())
            .append("userId", getUserId())
            .append("userType", getUserType())
            .append("userName", getUserName())
            .append("userPhone", getUserPhone())
            .append("certificateType", getCertificateType())
            .append("certificateCode", getCertificateCode())
            .append("subDeptGroup", getSubDeptGroup())
            .append("craftType", getCraftType())
            .append("craftPost", getCraftPost())
            .append("nation", getNation())
            .append("age", getAge())
            .append("sex", getSex())
            .append("educationalType", getEducationalType())
            .append("birthDay", getBirthDay())
            .append("nativePlace", getNativePlace())
            .append("address", getAddress())
            .append("emergencyContact", getEmergencyContact())
            .append("contactPhone", getContactPhone())
            .append("bankName", getBankName())
            .append("bankCardNo", getBankCardNo())
            .append("bankOffice", getBankOffice())
            .append("certificatePhoto1", getCertificatePhoto1())
            .append("certificatePhoto2", getCertificatePhoto2())
            .append("faceImage", getFaceImage())
            .append("eduStatus", getEduStatus())
            .append("eduFilePath", getEduFilePath())
            .append("eduSignPath", getEduSignPath())
            .append("eduDate", getEduDate())
            .append("approveStatus", getApproveStatus())
            .append("useStatus", getUseStatus())
            .append("subStep", getSubStep())
            .append("illnessStatus", getIllnessStatus())
            .append("supIllnessStatus", getSupIllnessStatus())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
